<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">









<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

    <style type="text/css" media="screen">
    @import url('../../../../../../style.css');
    @import url('../../../../../../roundedcorners.css');
  </style>
    
  <title>HttpCore NIO 4.2.3</title></head>
<body onload="onLoad('HttpCore NIO 4.2.3: org.apache.http.impl.nio.reactor.ExceptionEvent.java');">



 <table cellspacing="0" cellpadding="2" class="barGraph"><tbody>
  <tr>
    <td colspan="8">

    <div class="roundedLarge">
      <b class="ctop"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
      <div class="roundedContent">
    <table width="100%" class="" cellspacing="0"><tr class="reportHeader">
    <td valign="top" class="titleText">Clover Coverage  Report - <a href="http://hc.apache.org/httpcomponents-core-ga" target="_top">HttpCore NIO 4.2.3</a><div class="timestamp"><b>Coverage timestamp:</b>&nbsp;Wed Nov 28 2012 22:36:27 CET</div>

        
    
            <div class="navBar"><a href="../../../../../../pkg-summary.html"><b>Overview</b></a>&nbsp;&nbsp;&nbsp;<a href="pkg-summary.html"><b>Package</b></a>&nbsp;&nbsp;&nbsp;<span class="navBarCurrent">File</span></div>
    
    <div class="navBarLink">
        &nbsp;&nbsp;&nbsp;
        <a href="../../../../../../index.html" target="_top">FRAMES</a>&nbsp;&nbsp;
        <a href="ExceptionEvent.html" target="_top">NO FRAMES</a>&nbsp;&nbsp;
        <label onclick="toggleHelp(this);" class="nonHelpItem">SHOW HELP</label>&nbsp;&nbsp;
    </div>

    </td>

        <td class="headerStats">
        <table>
            <tr>
                <td>
                    <img src="../../../../../../img/srcFileCovDistChart6.png" alt="../../../../../../img/srcFileCovDistChart6.png" usemap="#srcFileCovDistChart6.png" align="middle"/>
                    <map id="srcFileCovDistChart6.png" name="srcFileCovDistChart6.png">
<area shape="rect" coords="81,7,87,44" title="38 files have 91-100% coverage" alt="" nohref="nohref"/>
<area shape="rect" coords="74,30,80,44" title="15 files have 81-90% coverage" alt="" nohref="nohref"/>
<area shape="rect" coords="67,31,73,44" title="14 files have 71-80% coverage" alt="" nohref="nohref"/>
<area shape="rect" coords="60,26,66,44" title="19 files have 61-70% coverage" alt="" nohref="nohref"/>
<area shape="rect" coords="53,32,59,44" title="13 files have 51-60% coverage" alt="" nohref="nohref"/>
<area shape="rect" coords="46,35,52,44" title="10 files have 41-50% coverage" alt="" nohref="nohref"/>
<area shape="rect" coords="39,44,45,45" title="1 file has 31-40% coverage" alt="" nohref="nohref"/>
<area shape="rect" coords="32,45,38,46" title="0 files have 21-30% coverage" alt="" nohref="nohref"/>
<area shape="rect" coords="25,44,31,45" title="1 file has 11-20% coverage" alt="" nohref="nohref"/>
<area shape="rect" coords="18,45,24,46" title="0 files have 1-10% coverage" alt="" nohref="nohref"/>
<area shape="rect" coords="11,18,17,44" title="27 files have 0% coverage" alt="" nohref="nohref"/>
</map>
                </td>
                <td>
                    <span class="subtle"><span class="bold">62% </span>of files have more coverage</span>
                </td>
            </tr>
        </table>
    </td>
    
        

     <td  id="td-header-stats" class="headerStats" valign="top" style="font-weight: normal;width:40%; text-align: right; display: ;">
         <table style="text-align: right; white-space:nowrap;">
         <tr>
           <td colspan="11" class="totalText" style="text-align: left"><label>Statistics for file ExceptionEvent.java:</label></td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_stmts + 'file';">Stmts:</label></td>
           <td >      13
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_loc + 'file';">LOC:</label></td>
           <td >      76
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp + 'file';">Total cmp:</label></td>
           <td >      6
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_stmts_per_method;">Stmts/Method:</label></td>
           <td >      2.6
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_branches + 'file';">Branches:</label></td>
           <td >      2
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_ncloc + 'file';">NCLOC:</label></td>
           <td >      34
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp_density + 'file';">Cmp density:</label></td>
           <td >      0.46
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_methods_per_class;">Methods/Class:</label></td>
           <td >      5
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_methods + 'file';">Methods:</label></td>
           <td >      5
  </td>
           <td style="width: 5%">&nbsp;</td>
                    <td colspan="2"></td>
                    <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_avg_method_cmp + 'file';">Avg method cmp:</label></td>
           <td >      1.2
  </td>
           <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
          
         </tr>
           <tr>
            <td  class="totalText"><label onkeyup="return help_classes + 'file';">Classes:</label></td>
            <td >      1
  </td>
            <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
                     <td style="width: 10%">&nbsp;</td>
         </tr>
             </table>
     </td>

    
    
    

     <td  id="td-filtered-header-stats" class="headerStats" valign="top" style="font-weight: normal;width:40%; text-align: right; display: none;">
         <table style="text-align: right; white-space:nowrap;">
         <tr>
           <td colspan="11" class="totalText" style="text-align: left"><label>Statistics for file ExceptionEvent.java:</label></td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_stmts + 'file';">Stmts:</label></td>
           <td >      13
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_loc + 'file';">LOC:</label></td>
           <td >      76
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp + 'file';">Total cmp:</label></td>
           <td >      6
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_stmts_per_method;">Stmts/Method:</label></td>
           <td >      2.6
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_branches + 'file';">Branches:</label></td>
           <td >      2
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_ncloc + 'file';">NCLOC:</label></td>
           <td >      34
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp_density + 'file';">Cmp density:</label></td>
           <td >      0.46
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_methods_per_class;">Methods/Class:</label></td>
           <td >      5
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_methods + 'file';">Methods:</label></td>
           <td >      5
  </td>
           <td style="width: 5%">&nbsp;</td>
                    <td colspan="2"></td>
                    <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_avg_method_cmp + 'file';">Avg method cmp:</label></td>
           <td >      1.2
  </td>
           <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
          
         </tr>
           <tr>
            <td  class="totalText"><label onkeyup="return help_classes + 'file';">Classes:</label></td>
            <td >      1
  </td>
            <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
                     <td style="width: 10%">&nbsp;</td>
         </tr>
             </table>
     </td>
</tr>

    </table>
  </div>
  <b class="cbottom"><b class="cb4"></b><b class="cb3"></b><b class="cb2"></b><b class="cb1"></b></b>
  </div>

   </td>
  </tr>




<tr id="legend" style="display:none;"><td colspan="8">
    <div class="hbreak">&nbsp;</div>
    <table class="legend" cellspacing="0" cellpadding="0">
        <tr><td colspan="3" class="legendTitle">Legend</td></tr>

        <tr><td class="methodToggle" align="right">line#</td><td class="methodToggle" align="right">hit count</td>
            <td class="methodToggle"> </td>
        </tr>
        <tr><td class="lineCount Good" align="right">1</td><td class="coverageCount Good hitByTest" align="right">86</td>
               <td class="srcCell"><span class="spacer"/><span class="srcLine">line hit by 1 or more tests which passed</span></td>
        </tr>
        <tr><td class="lineCount Good" align="right">2</td><td class="coverageCount Good missedByTest" align="right">17</td>
               <td class="srcCell"><span class="spacer"/><span class="srcLine">line was covered, but not by a test case</span></td>
        </tr>
        <tr><td class="lineCount Good" align="right">3</td><td class="coverageCount Good hitByFailedTest" align="right">7</td>
               <td class="srcCell"><span class="spacer"/><span class="srcLine">line hit by 1 or more tests which did not pass</span></td>
        </tr>
        <tr><td class="lineCount Good" align="right">4</td><td class="coverageCount Good hitByTest" align="right">5</td>
               <td class="srcCell"><span class="spacer"/><span class="srcLine coveredByTest">line hit by more than one (selected) test</span></td>
        </tr>
        <tr><td class="lineCount Good" align="right">5</td><td class="coverageCount Good hitByTest" align="right">3</td>
               <td class="srcCell"><span class="spacer"/><span class="srcLine coveredByTestUniq">line hit by one test only</span></td>
        </tr>
        <tr><td class="lineCount Good" align="right">6</td><td class="coverageCount Good hitByTest" align="right">2</td>
               <td class="srcCell"><span class="spacer"/><span class="srcLine coveredByFailedTest">line hit by one or more (selected) tests that failed</span></td>
        </tr>
        <tr><td class="lineCount Bad" align="right">7</td><td class="coverageCount Bad hitByTest" align="right">1</td>
               <td class="srcCell"><span class="spacer"/><span class="srcLine srcLineHilight">line has an expression (e.g. a branch) or statement that was not fully covered</span></td>
        </tr>
        <tr><td class="lineCount Bad" align="right">8</td><td class="coverageCount Bad missedByTest" align="right">0</td>
               <td class="srcCell"><span class="spacer"/><span class="srcLine srcLineHilight">line was not covered at all</span></td>
        </tr>
        <tr><td class="lineCount Filtered " align="right">9</td><td class="coverageCount Filtered" align="right"></td>
               <td class="srcCell"><span class="spacer"/><span class="srcLineFiltered">line was filtered</span></td>
        </tr>
        
    </table>
    <div class="hbreak">&nbsp;</div>
    
    
</td></tr>
<tr><td class="hbreak" colspan="8">&nbsp; <label onkeyup="return help_src_file_expandall_summaries;" class="sortable" onclick="toggleAllClasses(this); return false;" id="stat-expander">Expand All</label></td></tr>
</tbody>
         <tbody>
        <tr>             <td class="graphHeaderLeft" id="ExceptionEvent" >
                                <span class="expand methodStart" id="span-ExceptionEvent" onclick="toggleClass(this, 'ExceptionEvent', 5);return false;">&nbsp;</span>
                                <span class="titleText"> <a href="#40" title="ExceptionEvent">ExceptionEvent</a></span>
                <span class="sortable" onclick="ts_resortTable(document.getElementById('ExceptionEvent'), 'alpha', 0);return false;" >&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
            </td>

            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 1);return false;">
                Line # 40
                <a name="sl-40"></a>
            </td>

                                        
                
                <td class="sortable graphHeader "  onclick="ts_resortTable(this, 'number', 2);return false;">
                    <span class="headerTitle"><label  onkeyup="return 'The total number of statements.';"  >Total Statements</label></span>
                    13
                </td>
                
                                            
                
                <td class="sortable graphHeader "  onclick="ts_resortTable(this, 'number', 3);return false;">
                    <span class="headerTitle"><label  onkeyup="return 'The percentage of elements that have been filtered from this report.';"  >% Filtered</label></span>
                    0%
                </td>
                
                                            
                
                <td class="sortable graphHeader "  onclick="ts_resortTable(this, 'number', 4);return false;">
                    <span class="headerTitle"><label  onkeyup="return 'Cyclomatic complexity is a measure of the number of paths in your code.';"  >Complexity</label></span>
                    6
                </td>
                
                                            
                
                <td class="sortable graphHeader "  onclick="ts_resortTable(this, 'number', 5);return false;">
                    <span class="headerTitle"><label  onkeyup="return 'The number of statements and branches that were not covered during testing.';"  >Uncovered Elements</label></span>
                    8
                </td>
                
                                            
                
                <td class="sortable graphHeader "  onclick="ts_resortTable(this, 'number', 6);return false;">
                    <span class="headerTitle"><label  onkeyup="return 'The amount of code that was hit at least once during testing.';"  >TOTAL Coverage</label></span>
                    60%
</td>
<td class="graphBar graphHeader" align="center">
<span class="sortValue">0.6</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="40% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="60% Covered" class="barPositive " style="width: 60%"></div>
    </div>
</div>
                </td>
                
                                    </tr> 
                <tr id="ExceptionEvent-1" style="display:none">
            <td class="methodSummary" id="summary-45-5">
                <span class="sortValue">ExceptionEvent(Throwable,Date)</span>
                &nbsp;&nbsp;<a href="#45" title="ExceptionEvent(Throwable,Date)" name="sl-45">ExceptionEvent(Throwable,Date)</a>
                            </td>
            <td class="graphPercent" align="right">
                <span class="sortValue">45</span>
                45
            </td>
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">5.0</span>
              5
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">0.0</span>
              0%
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">2.0</span>
              2
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">2.0</span>
              2
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">0.71428573</span>
              71.4%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.71428573</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="28.6% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="71.4% Covered" class="barPositive " style="width: 71.4%"></div>
    </div>
</div>
            </td>
              
                   </tr>
                <tr id="ExceptionEvent-2" style="display:none">
            <td class="methodSummary" id="summary-55-5">
                <span class="sortValue">ExceptionEvent(Exception)</span>
                &nbsp;&nbsp;<a href="#55" title="ExceptionEvent(Exception)" name="sl-55">ExceptionEvent(Exception)</a>
                            </td>
            <td class="graphPercent" align="right">
                <span class="sortValue">55</span>
                55
            </td>
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              1
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">0.0</span>
              0%
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              1
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">0.0</span>
              0
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              100%
</td>
<td class="graphBar " align="center">
<span class="sortValue">1.0</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="100% Covered" class="barPositive " style="width: 100%"></div>
    </div>
</div>
            </td>
              
                   </tr>
                <tr id="ExceptionEvent-3" style="display:none">
            <td class="methodSummary" id="summary-59-5">
                <span class="sortValue">getCause()&nbsp;:&nbsp;Throwable</span>
                &nbsp;&nbsp;<a href="#59" title="getCause()&nbsp;:&nbsp;Throwable" name="sl-59">getCause()&nbsp;:&nbsp;Throwable</a>
                            </td>
            <td class="graphPercent" align="right">
                <span class="sortValue">59</span>
                59
            </td>
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              1
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">0.0</span>
              0%
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              1
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">0.0</span>
              0
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              100%
</td>
<td class="graphBar " align="center">
<span class="sortValue">1.0</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="100% Covered" class="barPositive " style="width: 100%"></div>
    </div>
</div>
            </td>
              
                   </tr>
                <tr id="ExceptionEvent-4" style="display:none">
            <td class="methodSummary" id="summary-63-5">
                <span class="sortValue">getTimestamp()&nbsp;:&nbsp;Date</span>
                &nbsp;&nbsp;<a href="#63" title="getTimestamp()&nbsp;:&nbsp;Date" name="sl-63">getTimestamp()&nbsp;:&nbsp;Date</a>
                            </td>
            <td class="graphPercent" align="right">
                <span class="sortValue">63</span>
                63
            </td>
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              1
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">0.0</span>
              0%
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              1
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">0.0</span>
              0
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              100%
</td>
<td class="graphBar " align="center">
<span class="sortValue">1.0</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="100% Covered" class="barPositive " style="width: 100%"></div>
    </div>
</div>
            </td>
              
                   </tr>
                <tr id="ExceptionEvent-5" style="display:none">
            <td class="methodSummary" id="summary-67-5">
                <span class="sortValue">toString()&nbsp;:&nbsp;String</span>
                &nbsp;&nbsp;<a href="#67" title="toString()&nbsp;:&nbsp;String" name="sl-67">toString()&nbsp;:&nbsp;String</a>
                            </td>
            <td class="graphPercent" align="right">
                <span class="sortValue">67</span>
                67
            </td>
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">5.0</span>
              5
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">0.0</span>
              0%
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              1
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">5.0</span>
              5
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">0.0</span>
              0%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.0</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="100% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="0% Covered" class="barPositive " style="width: 0%"></div>
    </div>
</div>
            </td>
              
                   </tr>
             </tbody>
     <tbody><tr><td class="hbreak" colspan="8">&nbsp;</td></tr></tbody>
</table>

<table cellspacing="0" cellpadding="0" class="barGraph">
    <tbody>
<tr>
    <td class="hbreak" align="left" colspan="4">
        &nbsp; <label class="sortable" id="testsToggle" onclick="toggleAllTests(this); return false;" onkeyup="return help_src_file_show_tests;">Show Tests </label>(8) <label onkeyup="return help_select_all;" class="selectable unselected" id="selectalltests" onclick="selectAllTests(this);">Select All </label> <label onkeyup='return help_deselect_all;' class="selectable selected" id="deselectalltests" onclick="deselectAllTests(this);">Deselect All</label>
    </td>
</tr>
</tbody>
<tbody id="tests-body" style="display:none">
<tr id="testHeaderRow">
    <td class="graphHeaderLeft titleText" align="center" >
        <label onkeyup="return help_hilight_test;" id="help_1">Highlight</label>
    </td>
    <td class="graphHeaderLeft titleText sortable" onclick="ts_resortTable(this, 'number', 1);return false;">
        <label onkeyup="return help_test_contribution;" id="help_2">Test Contribution</label>
    </td>
    <td class="graphHeaderLeft titleText sortable" onclick="ts_resortTable(this, 'alpha', 2);return false;">
        <label onkeyup="return help_src_file_test;" id="help_3">Test</label>
    </td>
    <td class="graphHeaderLeft titleText sortable" onclick="ts_resortTable(this, 'alpha', 3);return false;">Result</td>
</tr>

        <tr id="test-32">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-32"></a>
            <input type="checkbox" id="cb-32" value="32" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../../org/apache/http/impl/nio/reactor/ExceptionEventTest_testGetTimestamp_w.html';">
            <span class="sortValue">0.5</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="50% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="50% Covered" class="barPositive contribBarPositive" style="width: 50%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-32">
            <span class="sortValue">org.apache.http.impl.nio.reactor.ExceptionEventTest.testGetTimestamp</span>
            <a href="../../../../../../org/apache/http/impl/nio/reactor/ExceptionEventTest.html?line=46#src-46" title="View Test Source"><img class="icon" alt="test" src="../../../../../../img/test.gif"/></a>
            <a href="../../../../../../org/apache/http/impl/nio/reactor/ExceptionEventTest_testGetTimestamp_w.html" title="Test Summary Page">org.apache.http.impl.nio.reactor.ExceptionEventTest.testGetTimestamp</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-24">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-24"></a>
            <input type="checkbox" id="cb-24" value="24" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../../org/apache/http/impl/nio/reactor/ExceptionEventTest_testGetCause_o.html';">
            <span class="sortValue">0.5</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="50% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="50% Covered" class="barPositive contribBarPositive" style="width: 50%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-24">
            <span class="sortValue">org.apache.http.impl.nio.reactor.ExceptionEventTest.testGetCause</span>
            <a href="../../../../../../org/apache/http/impl/nio/reactor/ExceptionEventTest.html?line=37#src-37" title="View Test Source"><img class="icon" alt="test" src="../../../../../../img/test.gif"/></a>
            <a href="../../../../../../org/apache/http/impl/nio/reactor/ExceptionEventTest_testGetCause_o.html" title="Test Summary Page">org.apache.http.impl.nio.reactor.ExceptionEventTest.testGetCause</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-227">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-227"></a>
            <input type="checkbox" id="cb-227" value="227" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../../org/apache/http/impl/nio/reactor/ExceptionEventTest_testToString_6b.html';">
            <span class="sortValue">0.4</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="60% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="40% Covered" class="barPositive contribBarPositive" style="width: 40%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-227">
            <span class="sortValue">org.apache.http.impl.nio.reactor.ExceptionEventTest.testToString</span>
            <a href="../../../../../../org/apache/http/impl/nio/reactor/ExceptionEventTest.html?line=55#src-55" title="View Test Source"><img class="icon" alt="test" src="../../../../../../img/test.gif"/></a>
            <a href="../../../../../../org/apache/http/impl/nio/reactor/ExceptionEventTest_testToString_6b.html" title="Test Summary Page">org.apache.http.impl.nio.reactor.ExceptionEventTest.testToString</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-264">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-264"></a>
            <input type="checkbox" id="cb-264" value="264" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../../org/apache/http/impl/nio/reactor/TestDefaultIOReactorsSSL_testUnhandledRuntimeException_7c.html';">
            <span class="sortValue">0.3</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="70% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="30% Covered" class="barPositive contribBarPositive" style="width: 30%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-264">
            <span class="sortValue">org.apache.http.impl.nio.reactor.TestDefaultIOReactors.testUnhandledRuntimeException</span>
            <a href="../../../../../../org/apache/http/impl/nio/reactor/TestDefaultIOReactors.html?line=256#src-256" title="View Test Source"><img class="icon" alt="test" src="../../../../../../img/test.gif"/></a>
            <a href="../../../../../../org/apache/http/impl/nio/reactor/TestDefaultIOReactorsSSL_testUnhandledRuntimeException_7c.html" title="Test Summary Page">org.apache.http.impl.nio.reactor.TestDefaultIOReactors.testUnhandledRuntimeException</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-331">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-331"></a>
            <input type="checkbox" id="cb-331" value="331" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../../org/apache/http/impl/nio/reactor/TestDefaultIOReactors_testUnhandledRuntimeException_97.html';">
            <span class="sortValue">0.3</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="70% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="30% Covered" class="barPositive contribBarPositive" style="width: 30%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-331">
            <span class="sortValue">org.apache.http.impl.nio.reactor.TestDefaultIOReactors.testUnhandledRuntimeException</span>
            <a href="../../../../../../org/apache/http/impl/nio/reactor/TestDefaultIOReactors.html?line=256#src-256" title="View Test Source"><img class="icon" alt="test" src="../../../../../../img/test.gif"/></a>
            <a href="../../../../../../org/apache/http/impl/nio/reactor/TestDefaultIOReactors_testUnhandledRuntimeException_97.html" title="Test Summary Page">org.apache.http.impl.nio.reactor.TestDefaultIOReactors.testUnhandledRuntimeException</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-199">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-199"></a>
            <input type="checkbox" id="cb-199" value="199" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../../org/apache/http/impl/nio/reactor/TestDefaultListeningIOReactor_testEndpointAlreadyBoundFatal_5j.html';">
            <span class="sortValue">0.3</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="70% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="30% Covered" class="barPositive contribBarPositive" style="width: 30%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-199">
            <span class="sortValue">org.apache.http.impl.nio.reactor.TestDefaultListeningIOReactor.testEndpointAlreadyBoundFatal</span>
            <a href="../../../../../../org/apache/http/impl/nio/reactor/TestDefaultListeningIOReactor.html?line=130#src-130" title="View Test Source"><img class="icon" alt="test" src="../../../../../../img/test.gif"/></a>
            <a href="../../../../../../org/apache/http/impl/nio/reactor/TestDefaultListeningIOReactor_testEndpointAlreadyBoundFatal_5j.html" title="Test Summary Page">org.apache.http.impl.nio.reactor.TestDefaultListeningIOReactor.testEndpointAlreadyBoundFatal</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-270">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-270"></a>
            <input type="checkbox" id="cb-270" value="270" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../../org/apache/http/impl/nio/reactor/TestDefaultIOReactors_testRuntimeException_7i.html';">
            <span class="sortValue">0.3</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="70% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="30% Covered" class="barPositive contribBarPositive" style="width: 30%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-270">
            <span class="sortValue">org.apache.http.impl.nio.reactor.TestDefaultIOReactors.testRuntimeException</span>
            <a href="../../../../../../org/apache/http/impl/nio/reactor/TestDefaultIOReactors.html?line=187#src-187" title="View Test Source"><img class="icon" alt="test" src="../../../../../../img/test.gif"/></a>
            <a href="../../../../../../org/apache/http/impl/nio/reactor/TestDefaultIOReactors_testRuntimeException_7i.html" title="Test Summary Page">org.apache.http.impl.nio.reactor.TestDefaultIOReactors.testRuntimeException</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-38">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-38"></a>
            <input type="checkbox" id="cb-38" value="38" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../../org/apache/http/impl/nio/reactor/TestDefaultIOReactorsSSL_testRuntimeException_12.html';">
            <span class="sortValue">0.3</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="70% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="30% Covered" class="barPositive contribBarPositive" style="width: 30%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-38">
            <span class="sortValue">org.apache.http.impl.nio.reactor.TestDefaultIOReactors.testRuntimeException</span>
            <a href="../../../../../../org/apache/http/impl/nio/reactor/TestDefaultIOReactors.html?line=187#src-187" title="View Test Source"><img class="icon" alt="test" src="../../../../../../img/test.gif"/></a>
            <a href="../../../../../../org/apache/http/impl/nio/reactor/TestDefaultIOReactorsSSL_testRuntimeException_12.html" title="Test Summary Page">org.apache.http.impl.nio.reactor.TestDefaultIOReactors.testRuntimeException</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
    
</tbody>
<tbody><tr><td class="hbreak" colspan="4">&nbsp;</td></tr></tbody>
</table>

<table cellspacing="0" cellpadding="0" class="srcView">
<tbody>
<tr><td colspan="2" class="sortable methodToggle"><label onkeyup="return help_src_file_expandall_src;" onclick="toggleAllInlineMethods(this); return false;" id="method-expander">Collapse All</label></td><th></th></tr>
</tbody>
<tbody>


        

<tr id="l1">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=1#src-1">1</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-1" class="srcLine"><span class="comment">/*</span></span></td>
</tr>
        

<tr id="l2">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=2#src-2">2</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-2" class="srcLine"><span class="comment"> * ====================================================================</span></span></td>
</tr>
        

<tr id="l3">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=3#src-3">3</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-3" class="srcLine"><span class="comment"> * Licensed to the Apache Software Foundation (ASF) under one</span></span></td>
</tr>
        

<tr id="l4">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=4#src-4">4</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-4" class="srcLine"><span class="comment"> * or more contributor license agreements.  See the NOTICE file</span></span></td>
</tr>
        

<tr id="l5">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=5#src-5">5</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-5" class="srcLine"><span class="comment"> * distributed with this work for additional information</span></span></td>
</tr>
        

<tr id="l6">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=6#src-6">6</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-6" class="srcLine"><span class="comment"> * regarding copyright ownership.  The ASF licenses this file</span></span></td>
</tr>
        

<tr id="l7">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=7#src-7">7</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-7" class="srcLine"><span class="comment"> * to you under the Apache License, Version 2.0 (the</span></span></td>
</tr>
        

<tr id="l8">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=8#src-8">8</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-8" class="srcLine"><span class="comment"> * &quot;License&quot;); you may not use this file except in compliance</span></span></td>
</tr>
        

<tr id="l9">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=9#src-9">9</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-9" class="srcLine"><span class="comment"> * with the License.  You may obtain a copy of the License at</span></span></td>
</tr>
        

<tr id="l10">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=10#src-10">10</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-10" class="srcLine"><span class="comment"> *</span></span></td>
</tr>
        

<tr id="l11">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=11#src-11">11</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-11" class="srcLine"><span class="comment"> *   http://www.apache.org/licenses/LICENSE-2.0</span></span></td>
</tr>
        

<tr id="l12">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=12#src-12">12</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-12" class="srcLine"><span class="comment"> *</span></span></td>
</tr>
        

<tr id="l13">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=13#src-13">13</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-13" class="srcLine"><span class="comment"> * Unless required by applicable law or agreed to in writing,</span></span></td>
</tr>
        

<tr id="l14">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=14#src-14">14</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-14" class="srcLine"><span class="comment"> * software distributed under the License is distributed on an</span></span></td>
</tr>
        

<tr id="l15">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=15#src-15">15</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-15" class="srcLine"><span class="comment"> * &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY</span></span></td>
</tr>
        

<tr id="l16">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=16#src-16">16</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-16" class="srcLine"><span class="comment"> * KIND, either express or implied.  See the License for the</span></span></td>
</tr>
        

<tr id="l17">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=17#src-17">17</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-17" class="srcLine"><span class="comment"> * specific language governing permissions and limitations</span></span></td>
</tr>
        

<tr id="l18">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=18#src-18">18</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-18" class="srcLine"><span class="comment"> * under the License.</span></span></td>
</tr>
        

<tr id="l19">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=19#src-19">19</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-19" class="srcLine"><span class="comment"> * ====================================================================</span></span></td>
</tr>
        

<tr id="l20">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=20#src-20">20</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-20" class="srcLine"><span class="comment"> *</span></span></td>
</tr>
        

<tr id="l21">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=21#src-21">21</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-21" class="srcLine"><span class="comment"> * This software consists of voluntary contributions made by many</span></span></td>
</tr>
        

<tr id="l22">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=22#src-22">22</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-22" class="srcLine"><span class="comment"> * individuals on behalf of the Apache Software Foundation.  For more</span></span></td>
</tr>
        

<tr id="l23">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=23#src-23">23</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-23" class="srcLine"><span class="comment"> * information on the Apache Software Foundation, please see</span></span></td>
</tr>
        

<tr id="l24">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=24#src-24">24</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-24" class="srcLine"><span class="comment"> * &lt;http://www.apache.org/&gt;.</span></span></td>
</tr>
        

<tr id="l25">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=25#src-25">25</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-25" class="srcLine"><span class="comment"> *</span></span></td>
</tr>
        

<tr id="l26">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=26#src-26">26</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-26" class="srcLine"><span class="comment"> */</span></span></td>
</tr>
        

<tr id="l27">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=27#src-27">27</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-27" class="srcLine"></span></td>
</tr>
        

<tr id="l28">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=28#src-28">28</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-28" class="srcLine"><span class="keyword">package</span> org.apache.<a href="../../../../http/pkg-summary.html">http</a>.impl.<a href="../../nio/pkg-summary.html">nio</a>.<a href="../reactor/pkg-summary.html">reactor</a>;</span></td>
</tr>
        

<tr id="l29">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=29#src-29">29</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-29" class="srcLine"></span></td>
</tr>
        

<tr id="l30">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=30#src-30">30</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-30" class="srcLine"><span class="keyword">import</span> java.util.Date;</span></td>
</tr>
        

<tr id="l31">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=31#src-31">31</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-31" class="srcLine"></span></td>
</tr>
        

<tr id="l32">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=32#src-32">32</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-32" class="srcLine"><span class="keyword">import</span> org.apache.<a href="../../../../http/pkg-summary.html">http</a>.annotation.Immutable;</span></td>
</tr>
        

<tr id="l33">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=33#src-33">33</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-33" class="srcLine"></span></td>
</tr>
        

<tr id="l34">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=34#src-34">34</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-34" class="srcLine"><span class="comment">/**</span></span></td>
</tr>
        

<tr id="l35">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=35#src-35">35</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-35" class="srcLine"><span class="comment"> * A {</span><span class="javadoc">@link</span><span class="comment"> Throwable} instance along with a time stamp.</span></span></td>
</tr>
        

<tr id="l36">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=36#src-36">36</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-36" class="srcLine"><span class="comment"> *</span></span></td>
</tr>
        

<tr id="l37">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=37#src-37">37</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-37" class="srcLine"><span class="comment"> * </span><span class="javadoc">@since</span><span class="comment"> 4.0</span></span></td>
</tr>
        

<tr id="l38">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=38#src-38">38</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-38" class="srcLine"><span class="comment"> */</span></span></td>
</tr>
        

<tr id="l39">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=39#src-39">39</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-39" class="srcLine">@Immutable</span></td>
</tr>
           <tr class="inlineStatsRow" align="right" valign="middle" >
        <td colspan="1"  class="coverageCount">
            <a name="40" class="nolink">&nbsp;</a>
        </td>
        
       <td class="coverageCount imgbg more" id='inlineStatsToggle-40' onclick="toggleInlineStats(this, 'inlinestats-40');">
       </td>
       <td align="center" valign="middle">
           <table id="inlinestats-40" style="display:none;" class="inlineStats" width="100%" cellspacing="1px" cellpadding="1px">
           <tr onclick="toggleInlineStats(document.getElementById('inlineStatsToggle-40'), 'inlinestats-40');return true;">
           <td><div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="40% Not Covered"  style="min-width: 40px;"  class="barNegative barNegative">
       <div title="60% Covered" class="barPositive barPositive" style="width: 60%"></div>
    </div>
</div></td><td>60%</td>
           <td class="inlineStat">Uncovered Elements: 8 (20)</td>
           <td class="inlineStat">Complexity: 6</td>
           <td class="inlineStat">Complexity Density: 0.46</td>
                       </tr>
           </table>
       </td>
    </tr>
  

<tr id="l40">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=40#src-40">40</a></td>
<td align="right" class="coverageCount NoHilight "
           onclick="return showTestsForLine(this, 40, 'Tests that hit &lt;span class=\'srcFragment\'&gt; ExceptionEvent &lt;/span&gt;');"
       >
    &nbsp;&nbsp;

</td>
<td class="  srcCell" id="id-40" >
    <span class="spacer"></span><span id="src-40" class="srcLineClassStart"><span class="keyword">public</span> <span class="keyword">class</span> <a href="../../../../../../org/apache/http/impl/nio/reactor/ExceptionEvent.html#ExceptionEvent">ExceptionEvent</a> {</span></td>
</tr>
        

<tr id="l41">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=41#src-41">41</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-41" class="srcLine"></span></td>
</tr>
        

<tr id="l42">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=42#src-42">42</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-42" class="srcLine">    <span class="keyword">private</span> <span class="keyword">final</span> Throwable ex;</span></td>
</tr>
        

<tr id="l43">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=43#src-43">43</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-43" class="srcLine">    <span class="keyword">private</span> <span class="keyword">final</span> <span class="keyword">long</span> time;</span></td>
</tr>
        

<tr id="l44">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=44#src-44">44</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-44" class="srcLine"></span></td>
</tr>
           <tr class="inlineStatsRow" align="right" valign="middle" >
        <td colspan="1"  class="coverageCount">
            <a name="45" class="nolink">&nbsp;</a>
        </td>
        
       <td class="coverageCount imgbg more" id='inlineStatsToggle-45' onclick="toggleInlineStats(this, 'inlinestats-45');">
       </td>
       <td align="center" valign="middle">
           <table id="inlinestats-45" style="display:none;" class="inlineStats" width="100%" cellspacing="1px" cellpadding="1px">
           <tr onclick="toggleInlineStats(document.getElementById('inlineStatsToggle-45'), 'inlinestats-45');return true;">
           <td><div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="28.6% Not Covered"  style="min-width: 40px;"  class="barNegative barNegative">
       <div title="71.4% Covered" class="barPositive barPositive" style="width: 71.4%"></div>
    </div>
</div></td><td>71.4%</td>
           <td class="inlineStat">Uncovered Elements: 2 (7)</td>
           <td class="inlineStat">Complexity: 2</td>
           <td class="inlineStat">Complexity Density: 0.4</td>
                       </tr>
           </table>
       </td>
    </tr>
  

<tr id="l45">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=45#src-45">45</a></td>
<td align="right" class="coverageCount Good hitByTest"
           onclick="return showTestsForLine(this, 45, 'Tests that hit &lt;span class=\'srcFragment\'&gt; ExceptionEvent(Throwable,Date) &lt;/span&gt;');"
       >
    <span title="Line 45, Col 5: method entered 10 times." class="nolink">&nbsp;10</span>

</td>
<td class="  methodStart  srcCell" id="id-45" >
    <img title="Method Statistics" onclick="toggleSrcRowVis(this, 45,53);" id="img-45" src="../../../../../../img/collapse.gif"  alt="toggle" class="icon"/><span id="src-45" class="srcLine"><span class="nolink" title="Line 45, Col 5: method entered 10 times.">    <span class="keyword">public</span> <a href="../../../../../../org/apache/http/impl/nio/reactor/ExceptionEvent.html#ExceptionEvent">ExceptionEvent</a>(<span class="keyword">final</span> Throwable ex, <span class="keyword">final</span> Date timestamp) {</span><span class="foldControl" onclick="toggleSrcRowVis(document.getElementById('img-45'), 45,53);" id="e45" style="display:none;border:none;">...</span></span></td>
</tr>
        

<tr id="l46">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=46#src-46">46</a></td>
<td align="right" class="coverageCount Good hitByTest"
           onclick="return showTestsForLine(this, 46, 'Tests that hit line # 46');"
    >
    <span title="Line 46, Col 9: statement executed 10 times." class="nolink">&nbsp;10</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-46" class="srcLine"><span class="nolink" title="Line 46, Col 9: statement executed 10 times.">        <span class="keyword">super</span>();</span></span></td>
</tr>
        

<tr id="l47">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=47#src-47">47</a></td>
<td align="right" class="coverageCount Good hitByTest"
           onclick="return showTestsForLine(this, 47, 'Tests that hit line # 47');"
    >
    <span title="Line 47, Col 9: statement executed 10 times." class="nolink">&nbsp;10</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-47" class="srcLine"><span class="nolink" title="Line 47, Col 9: statement executed 10 times.">        <span class="keyword">this</span>.ex = ex;</span></span></td>
</tr>
        

<tr id="l48">
<td align="right" class="lineCount Bad"><a class="lineNumHref" href="?line=48#src-48">48</a></td>
<td align="right" class="coverageCount Bad hitByTest"
           onclick="return showTestsForLine(this, 48, 'Tests that hit line # 48');"
    >
    <span title="Line 48, Col 12: true branch executed 10 times, false branch executed 0 times." class="nolink">&nbsp;10</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-48" class="srcLineHilight"><span class="nolink" title="Line 48, Col 12: true branch executed 10 times, false branch executed 0 times.">        <span class="keyword">if</span> (timestamp != <span class="keyword">null</span>) {</span></span></td>
</tr>
        

<tr id="l49">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=49#src-49">49</a></td>
<td align="right" class="coverageCount Good hitByTest"
           onclick="return showTestsForLine(this, 49, 'Tests that hit line # 49');"
    >
    <span title="Line 49, Col 13: statement executed 10 times." class="nolink">&nbsp;10</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-49" class="srcLine"><span class="nolink" title="Line 49, Col 13: statement executed 10 times.">            <span class="keyword">this</span>.time = timestamp.getTime();</span></span></td>
</tr>
        

<tr id="l50">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=50#src-50">50</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-50" class="srcLine">        } <span class="keyword">else</span> {</span></td>
</tr>
        

<tr id="l51">
<td align="right" class="lineCount Bad"><a class="lineNumHref" href="?line=51#src-51">51</a></td>
<td align="right" class="coverageCount Bad missedByTest"
         >
    <span title="Line 51, Col 13: statement not executed." class="nolink">&nbsp;0</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-51" class="srcLineHilight"><span class="nolink" title="Line 51, Col 13: statement not executed.">            <span class="keyword">this</span>.time = 0;</span></span></td>
</tr>
        

<tr id="l52">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=52#src-52">52</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-52" class="srcLine">        }</span></td>
</tr>
        

<tr id="l53">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=53#src-53">53</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-53" class="srcLine">    }</span></td>
</tr>
        

<tr id="l54">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=54#src-54">54</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-54" class="srcLine"></span></td>
</tr>
           <tr class="inlineStatsRow" align="right" valign="middle" >
        <td colspan="1"  class="coverageCount">
            <a name="55" class="nolink">&nbsp;</a>
        </td>
        
       <td class="coverageCount imgbg more" id='inlineStatsToggle-55' onclick="toggleInlineStats(this, 'inlinestats-55');">
       </td>
       <td align="center" valign="middle">
           <table id="inlinestats-55" style="display:none;" class="inlineStats" width="100%" cellspacing="1px" cellpadding="1px">
           <tr onclick="toggleInlineStats(document.getElementById('inlineStatsToggle-55'), 'inlinestats-55');return true;">
           <td><div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 40px;"  class="barNegative barNegative">
       <div title="100% Covered" class="barPositive barPositive" style="width: 100%"></div>
    </div>
</div></td><td>100%</td>
           <td class="inlineStat">Uncovered Elements: 0 (1)</td>
           <td class="inlineStat">Complexity: 1</td>
           <td class="inlineStat">Complexity Density: 1</td>
                       </tr>
           </table>
       </td>
    </tr>
  

<tr id="l55">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=55#src-55">55</a></td>
<td align="right" class="coverageCount Good hitByTest"
           onclick="return showTestsForLine(this, 55, 'Tests that hit &lt;span class=\'srcFragment\'&gt; ExceptionEvent(Exception) &lt;/span&gt;');"
       >
    <span title="Line 55, Col 5: method entered 3 times." class="nolink">&nbsp;3</span>

</td>
<td class="  methodStart  srcCell" id="id-55" >
    <img title="Method Statistics" onclick="toggleSrcRowVis(this, 55,57);" id="img-55" src="../../../../../../img/collapse.gif"  alt="toggle" class="icon"/><span id="src-55" class="srcLine"><span class="nolink" title="Line 55, Col 5: method entered 3 times.">    <span class="keyword">public</span> <a href="../../../../../../org/apache/http/impl/nio/reactor/ExceptionEvent.html#ExceptionEvent">ExceptionEvent</a>(<span class="keyword">final</span> Exception ex) {</span><span class="foldControl" onclick="toggleSrcRowVis(document.getElementById('img-55'), 55,57);" id="e55" style="display:none;border:none;">...</span></span></td>
</tr>
        

<tr id="l56">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=56#src-56">56</a></td>
<td align="right" class="coverageCount Good hitByTest"
           onclick="return showTestsForLine(this, 56, 'Tests that hit line # 56');"
    >
    <span title="Line 56, Col 9: statement executed 3 times." class="nolink">&nbsp;3</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-56" class="srcLine"><span class="nolink" title="Line 56, Col 9: statement executed 3 times.">        <span class="keyword">this</span>(ex, <span class="keyword">new</span> Date());</span></span></td>
</tr>
        

<tr id="l57">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=57#src-57">57</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-57" class="srcLine">    }</span></td>
</tr>
        

<tr id="l58">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=58#src-58">58</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-58" class="srcLine"></span></td>
</tr>
           <tr class="inlineStatsRow" align="right" valign="middle" >
        <td colspan="1"  class="coverageCount">
            <a name="59" class="nolink">&nbsp;</a>
        </td>
        
       <td class="coverageCount imgbg more" id='inlineStatsToggle-59' onclick="toggleInlineStats(this, 'inlinestats-59');">
       </td>
       <td align="center" valign="middle">
           <table id="inlinestats-59" style="display:none;" class="inlineStats" width="100%" cellspacing="1px" cellpadding="1px">
           <tr onclick="toggleInlineStats(document.getElementById('inlineStatsToggle-59'), 'inlinestats-59');return true;">
           <td><div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 40px;"  class="barNegative barNegative">
       <div title="100% Covered" class="barPositive barPositive" style="width: 100%"></div>
    </div>
</div></td><td>100%</td>
           <td class="inlineStat">Uncovered Elements: 0 (1)</td>
           <td class="inlineStat">Complexity: 1</td>
           <td class="inlineStat">Complexity Density: 1</td>
                       </tr>
           </table>
       </td>
    </tr>
  

<tr id="l59">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=59#src-59">59</a></td>
<td align="right" class="coverageCount Good hitByTest"
           onclick="return showTestsForLine(this, 59, 'Tests that hit &lt;span class=\'srcFragment\'&gt; getCause()&amp;nbsp;:&amp;nbsp;Throwable &lt;/span&gt;');"
       >
    <span title="Line 59, Col 5: method entered 2 times." class="nolink">&nbsp;2</span>

</td>
<td class="  methodStart  srcCell" id="id-59" >
    <img title="Method Statistics" onclick="toggleSrcRowVis(this, 59,61);" id="img-59" src="../../../../../../img/collapse.gif"  alt="toggle" class="icon"/><span id="src-59" class="srcLine"><span class="nolink" title="Line 59, Col 5: method entered 2 times.">    <span class="keyword">public</span> Throwable getCause() {</span><span class="foldControl" onclick="toggleSrcRowVis(document.getElementById('img-59'), 59,61);" id="e59" style="display:none;border:none;">...</span></span></td>
</tr>
        

<tr id="l60">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=60#src-60">60</a></td>
<td align="right" class="coverageCount Good hitByTest"
           onclick="return showTestsForLine(this, 60, 'Tests that hit line # 60');"
    >
    <span title="Line 60, Col 9: statement executed 2 times." class="nolink">&nbsp;2</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-60" class="srcLine"><span class="nolink" title="Line 60, Col 9: statement executed 2 times.">        <span class="keyword">return</span> ex;</span></span></td>
</tr>
        

<tr id="l61">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=61#src-61">61</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-61" class="srcLine">    }</span></td>
</tr>
        

<tr id="l62">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=62#src-62">62</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-62" class="srcLine"></span></td>
</tr>
           <tr class="inlineStatsRow" align="right" valign="middle" >
        <td colspan="1"  class="coverageCount">
            <a name="63" class="nolink">&nbsp;</a>
        </td>
        
       <td class="coverageCount imgbg more" id='inlineStatsToggle-63' onclick="toggleInlineStats(this, 'inlinestats-63');">
       </td>
       <td align="center" valign="middle">
           <table id="inlinestats-63" style="display:none;" class="inlineStats" width="100%" cellspacing="1px" cellpadding="1px">
           <tr onclick="toggleInlineStats(document.getElementById('inlineStatsToggle-63'), 'inlinestats-63');return true;">
           <td><div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 40px;"  class="barNegative barNegative">
       <div title="100% Covered" class="barPositive barPositive" style="width: 100%"></div>
    </div>
</div></td><td>100%</td>
           <td class="inlineStat">Uncovered Elements: 0 (1)</td>
           <td class="inlineStat">Complexity: 1</td>
           <td class="inlineStat">Complexity Density: 1</td>
                       </tr>
           </table>
       </td>
    </tr>
  

<tr id="l63">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=63#src-63">63</a></td>
<td align="right" class="coverageCount Good hitByTest"
           onclick="return showTestsForLine(this, 63, 'Tests that hit &lt;span class=\'srcFragment\'&gt; getTimestamp()&amp;nbsp;:&amp;nbsp;Date &lt;/span&gt;');"
       >
    <span title="Line 63, Col 5: method entered 2 times." class="nolink">&nbsp;2</span>

</td>
<td class="  methodStart  srcCell" id="id-63" >
    <img title="Method Statistics" onclick="toggleSrcRowVis(this, 63,65);" id="img-63" src="../../../../../../img/collapse.gif"  alt="toggle" class="icon"/><span id="src-63" class="srcLine"><span class="nolink" title="Line 63, Col 5: method entered 2 times.">    <span class="keyword">public</span> Date getTimestamp() {</span><span class="foldControl" onclick="toggleSrcRowVis(document.getElementById('img-63'), 63,65);" id="e63" style="display:none;border:none;">...</span></span></td>
</tr>
        

<tr id="l64">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=64#src-64">64</a></td>
<td align="right" class="coverageCount Good hitByTest"
           onclick="return showTestsForLine(this, 64, 'Tests that hit line # 64');"
    >
    <span title="Line 64, Col 9: statement executed 2 times." class="nolink">&nbsp;2</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-64" class="srcLine"><span class="nolink" title="Line 64, Col 9: statement executed 2 times.">        <span class="keyword">return</span> <span class="keyword">new</span> Date(<span class="keyword">this</span>.time);</span></span></td>
</tr>
        

<tr id="l65">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=65#src-65">65</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-65" class="srcLine">    }</span></td>
</tr>
        

<tr id="l66">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=66#src-66">66</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-66" class="srcLine"></span></td>
</tr>
           <tr class="inlineStatsRow" align="right" valign="middle" >
        <td colspan="1"  class="coverageCount">
            <a name="67" class="nolink">&nbsp;</a>
        </td>
        
       <td class="coverageCount imgbg more" id='inlineStatsToggle-67' onclick="toggleInlineStats(this, 'inlinestats-67');">
       </td>
       <td align="center" valign="middle">
           <table id="inlinestats-67" style="display:none;" class="inlineStats" width="100%" cellspacing="1px" cellpadding="1px">
           <tr onclick="toggleInlineStats(document.getElementById('inlineStatsToggle-67'), 'inlinestats-67');return true;">
           <td><div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="100% Not Covered"  style="min-width: 40px;"  class="barNegative barNegative">
       <div title="0% Covered" class="barPositive barPositive" style="width: 0%"></div>
    </div>
</div></td><td>0%</td>
           <td class="inlineStat">Uncovered Elements: 5 (5)</td>
           <td class="inlineStat">Complexity: 1</td>
           <td class="inlineStat">Complexity Density: 0.2</td>
                       </tr>
           </table>
       </td>
    </tr>
  

<tr id="l67">
<td align="right" class="lineCount Bad"><a class="lineNumHref" href="?line=67#src-67">67</a></td>
<td align="right" class="coverageCount Bad missedByTest"
            >
    <span title="Line 67, Col 5: method not entered." class="nolink">&nbsp;0</span>

</td>
<td class="  methodStart  srcCell" id="id-67" >
    <img title="Method Statistics" onclick="toggleSrcRowVis(this, 67,74);" id="img-67" src="../../../../../../img/collapse.gif"  alt="toggle" class="icon"/><span id="src-67" class="srcLineHilight"><span class="nolink" title="Line 67, Col 5: method not entered.">    @Override</span><span class="foldControl" onclick="toggleSrcRowVis(document.getElementById('img-67'), 67,74);" id="e67" style="display:none;border:none;">...</span></span></td>
</tr>
        

<tr id="l68">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=68#src-68">68</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-68" class="srcLine">    <span class="keyword">public</span> String toString() {</span></td>
</tr>
        

<tr id="l69">
<td align="right" class="lineCount Bad"><a class="lineNumHref" href="?line=69#src-69">69</a></td>
<td align="right" class="coverageCount Bad missedByTest"
         >
    <span title="Line 69, Col 9: statement not executed." class="nolink">&nbsp;0</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-69" class="srcLineHilight"><span class="nolink" title="Line 69, Col 9: statement not executed.">        StringBuilder buffer = <span class="keyword">new</span> StringBuilder();</span></span></td>
</tr>
        

<tr id="l70">
<td align="right" class="lineCount Bad"><a class="lineNumHref" href="?line=70#src-70">70</a></td>
<td align="right" class="coverageCount Bad missedByTest"
         >
    <span title="Line 70, Col 9: statement not executed." class="nolink">&nbsp;0</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-70" class="srcLineHilight"><span class="nolink" title="Line 70, Col 9: statement not executed.">        buffer.append(<span class="keyword">new</span> Date(<span class="keyword">this</span>.time));</span></span></td>
</tr>
        

<tr id="l71">
<td align="right" class="lineCount Bad"><a class="lineNumHref" href="?line=71#src-71">71</a></td>
<td align="right" class="coverageCount Bad missedByTest"
         >
    <span title="Line 71, Col 9: statement not executed." class="nolink">&nbsp;0</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-71" class="srcLineHilight"><span class="nolink" title="Line 71, Col 9: statement not executed.">        buffer.append(<span class="string">&quot; &quot;</span>);</span></span></td>
</tr>
        

<tr id="l72">
<td align="right" class="lineCount Bad"><a class="lineNumHref" href="?line=72#src-72">72</a></td>
<td align="right" class="coverageCount Bad missedByTest"
         >
    <span title="Line 72, Col 9: statement not executed." class="nolink">&nbsp;0</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-72" class="srcLineHilight"><span class="nolink" title="Line 72, Col 9: statement not executed.">        buffer.append(<span class="keyword">this</span>.ex);</span></span></td>
</tr>
        

<tr id="l73">
<td align="right" class="lineCount Bad"><a class="lineNumHref" href="?line=73#src-73">73</a></td>
<td align="right" class="coverageCount Bad missedByTest"
         >
    <span title="Line 73, Col 9: statement not executed." class="nolink">&nbsp;0</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-73" class="srcLineHilight"><span class="nolink" title="Line 73, Col 9: statement not executed.">        <span class="keyword">return</span> buffer.toString();</span></span></td>
</tr>
        

<tr id="l74">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=74#src-74">74</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-74" class="srcLine">    }</span></td>
</tr>
        

<tr id="l75">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=75#src-75">75</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-75" class="srcLine"></span></td>
</tr>
        

<tr id="l76">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=76#src-76">76</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-76" class="srcLine">}</span></td>
</tr>
</tbody></table>
<table width="100%"><tr><td class="hbreak" colspan="8">&nbsp;</td></tr>
<tr><td class="footer" colspan="8">
<table>
<tr>
 <td><a target="_new" href="http://www.atlassian.com/software/clover"><img alt="Clover" src="../../../../../../img/logo.gif" style="border:none"/></a></td><td style="white-space:nowrap;"><i>Report generated by </i>Clover <a target="_new" href="http://www.atlassian.com/software/clover">Code Coverage</a> v2.6.3<i><br/>Wed Nov 28 2012 22:36:54 CET</i>.</td>
<td>&nbsp;</td><td style="BORDER-LEFT: #9c9c9c 1px solid;">&nbsp;</td><td>Clover: Open Source License registered to Apache. </td>
</tr>
</table>
</td>
</tr></table>
<script type="text/javascript">
    var ol_bgclass = "overBG";
    var ol_fgclass = "overFG";
    var ol_cgclass = "overCaption";
    var ol_captionfontclass= "overCaption";
    var ol_closefontclass = "closeFont";
    var ol_closeclick = 1;
    var ol_close = 'X';
    var ol_wrap = 1;
    var rootRelPath = '../../../../../../';
    var testsPerFile = -1;
</script>
<script src="ExceptionEvent.js" type="text/javascript"></script>
<script src="../../../../../../help.js" type="text/javascript"></script>
<script src="../../../../../../clover.js" type="text/javascript"></script>
<script src="../../../../../../sorttable.js" type="text/javascript"></script>
<script src="../../../../../../overlibmws.js" type="text/javascript"><!-- overLIB (c) Erik Bosrup --></script>
<script src="../../../../../../overlibmws_shadow.js" type="text/javascript" ></script>
<script src="../../../../../../utils.js" type="text/javascript"></script>
</body>

</html>
